import conditionObjectBase from "../condition-object-base.js"

export default {
	...conditionObjectBase,
	key: 'termId',
	title: '学期',
	dependentKeys: ['gradeId'],
	isDependencyReady(params) {
		return params.gradeId;
	},
	getList: function(param) {
		let termList = [{
			id: param.gradeId + 1,
			name: '上学期'
		}, {
			id: param.gradeId + 2,
			name: '下学期'
		}]
		return Promise.resolve(termList);
	}
}
